import { IgcHTMLElement } from "igniteui-webcomponents-core";
import { ColumnSortDirection } from "./ColumnSortDirection";
import { SortIndicatorStyle } from "./SortIndicatorStyle";
import { IgcSortIndicatorRenderCompletedEventArgs } from "./igc-sort-indicator-render-completed-event-args";
import { GridSortIndicator } from "./GridSortIndicator";
/**
 * An advanced grid for displaying data.
*/
export declare class IgcDataGridSortIndicatorComponent extends IgcHTMLElement {
    protected createImplementation(): GridSortIndicator;
    protected _implementation: any;
    /**
     * @hidden
     */
    readonly i: GridSortIndicator; /**
                                 * @hidden
                                 */
    static _createFromInternal(internal: any): IgcDataGridSortIndicatorComponent;
    private onImplementationCreated;
    constructor();
    private _settingAttributes;
    protected _attached: boolean;
    private _queuedSetAttributes;
    protected _enqueueSetAttribute(attrName: string, attrValue: string): void;
    protected _flushQueuedAttributes(): void;
    protected _a(attrName: string, attrValue: any): void;
    connectedCallback(): void;
    private static _observedAttributesIgcDataGridSortIndicatorComponent;
    static readonly observedAttributes: string[];
    private _updatingFromAttribute;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    sortDirection: ColumnSortDirection;
    iconColor: string;
    isAnimationEnabled: boolean;
    /**
     * Gets or sets the scaling value used to affect the pixel density of the control.
     * A higher scaling ratio will produce crisper visuals at the expense of memory.  Lower values will cause the control
     * to appear blurry.
    */
    pixelScalingRatio: number;
    /**
     * Gets the actual pixel scaling ratio used to affect the pixel density of the control.
     * A higher scaling ratio will produce crisper visuals at the expense of memory.  Lower values will cause the control
     * to appear blurry.
    */
    actualPixelScalingRatio: number;
    sortIndicatorStyle: SortIndicatorStyle;
    findByName(name: string): any;
    protected __p: string;
    protected _hasUserValues: Set<string>;
    protected readonly hasUserValues: Set<string>;
    protected __m(propertyName: string): void;
    protected _stylingContainer: any;
    protected _stylingParent: any;
    protected _inStyling: boolean;
    protected _styling(container: any, component: any, parent?: any): void;
    getDesiredScale(): number;
    notifySizeChanged(width: number, height: number): void;
    notifyCellSizeChanged(): void;
    private _renderCompleted;
    private _renderCompleted_wrapped;
    renderCompleted: (s: IgcDataGridSortIndicatorComponent, e: IgcSortIndicatorRenderCompletedEventArgs) => void;
}
